org.deidentifier.arx.gui.view.impl.common.table

## Interface CTDataProvider

All Superinterfaces:
  org.eclipse.nebula.widgets.nattable.data.IDataProvider

All Known Implementing Classes:
  DataProviderWrapped

    public interface CTDataProvider
    extends org.eclipse.nebula.widgets.nattable.data.IDataProvider

Author:
  Fabian Prasser

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clear()`
`void` `setData(org.eclipse.nebula.widgets.nattable.data.IDataProvider data)`

### Methods inherited from interface org.eclipse.nebula.widgets.nattable.data.IDataProvider

`getColumnCount, getDataValue, getRowCount, setDataValue`

### Method Detail

#### clear

    void clear()

#### setData

    void setData(org.eclipse.nebula.widgets.nattable.data.IDataProvider data)

Parameters:
  `data` -